readPgf {affxparser} | R Documentation

## Parsing a PGF file using Affymetrix Fusion SDK

### Description

This function parses a PGF file using the Affymetrix Fusion SDK. PGF (probe group) files describe probes present within probe sets, including the type (e.g., pm, mm) of the probe and probeset.

### Usage

    readPgf(file, indices = NULL)

### Arguments

`file` | `character(1)` providing a path to the PGF file to be input.
`indices` | `integer(n)` a vector of indices of the probesets to be read.

### Value

An list. The `header` element is always present; the remainder are present when `readBody=TRUE`.
The elements present when `readBody=TRUE` describe probe sets, atoms, and probes. Elements within probe sets, for instance, are coordinated such that the `i`th index of one vector (e.g., `probesetId`) corresponds to the `i`th index of a second vector (e.g., `probesetType`). The atoms contained within probeset `i` are in positions `probesetStartAtom[i]:(probesetStartAtom[i+1]-1)` of the atom vectors. A similar map applies to probes within atoms, using `atomStartProbe` as the index.
The PGF file format includes optional elements; these elements are always present in the list, but with appropriate default values.

`header` | A list with information about the PGF file. The list contains elements described in the PGF file format document referenced below.
`probesetId` | integer vector of probeset identifiers.
`probesetType` | character vector of probeset types. Types are described in the PGF file format document.
`probesetName` | character vector of probeset names.
`probesetStartAtom` | integer vector of the start index (e.g., in the element `atomId` of atoms belonging to this probeset).
`atomId` | integer vector of atom identifiers.
`atomExonPosition` | integer vector of probe interrogation position relative to the target sequence.
`atomStartProbe` | integer vector of the start index (e.g., in the element `probeId` of probes belonging to this atom).
`probeId` | integer vector of probe identifiers.
`probeType` | character vector of probe types. Types are described in the PGF file format document.
`probeGcCount` | integer vector of probe GC content.
`probeLength` | integer vector of probe lengths.
`probeInterrogationPosition` | integer vector of the position, within the probe, at which interrogation occurs.
`probeSequence` | character vector of the probe sequence.

### Author(s)

Martin Morgan mtmorgan@fhcrc.org

### See Also

https://www.affymetrix.com/support/developer/fusion/File_Format_PGF_aptv161.pdf describes PGF file content.

The internal function `.pgfProbeIndexFromProbesetIndex` provides a map between the indicies of probe set entries and the indicies of the probes contained in the probe set.

[Package affxparser version 1.16.0 Index]